<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{983AEB3B-BC20-4A8A-94CE-42B0EF74C4A1}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Microsoft.Practices.RecipeFramework.Extensions</RootNamespace>
    <AssemblyName>Microsoft.Practices.RecipeFramework.Extensions</AssemblyName>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>false</SignAssembly>
    <AssemblyOriginatorKeyFile>35MSSharedLib1024.snk</AssemblyOriginatorKeyFile>
    <DelaySign>true</DelaySign>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <DocumentationFile>bin\Debug\Microsoft.Practices.RecipeFramework.Extensions.XML</DocumentationFile>
    <RunCodeAnalysis>false</RunCodeAnalysis>
    <CodeAnalysisRules>-Microsoft.Design#CA1012;-Microsoft.Design#CA2210;-Microsoft.Design#CA1040;-Microsoft.Design#CA1005;-Microsoft.Design#CA1020;-Microsoft.Design#CA1021;-Microsoft.Design#CA1010;-Microsoft.Design#CA1011;-Microsoft.Design#CA1009;-Microsoft.Design#CA1050;-Microsoft.Design#CA1026;-Microsoft.Design#CA1019;-Microsoft.Design#CA1031;-Microsoft.Design#CA1047;-Microsoft.Design#CA1000;-Microsoft.Design#CA1048;-Microsoft.Design#CA1051;-Microsoft.Design#CA1002;-Microsoft.Design#CA1061;-Microsoft.Design#CA1006;-Microsoft.Design#CA1046;-Microsoft.Design#CA1045;-Microsoft.Design#CA1038;-Microsoft.Design#CA1008;-Microsoft.Design#CA1028;-Microsoft.Design#CA1004;-Microsoft.Design#CA1035;-Microsoft.Design#CA1063;-Microsoft.Design#CA1032;-Microsoft.Design#CA1023;-Microsoft.Design#CA1033;-Microsoft.Design#CA1039;-Microsoft.Design#CA1016;-Microsoft.Design#CA1014;-Microsoft.Design#CA1017;-Microsoft.Design#CA1018;-Microsoft.Design#CA1027;-Microsoft.Design#CA1059;-Microsoft.Design#CA1060;-Microsoft.Design#CA1034;-Microsoft.Design#CA1013;-Microsoft.Design#CA1036;-Microsoft.Design#CA1044;-Microsoft.Design#CA1041;-Microsoft.Design#CA1025;-Microsoft.Design#CA1052;-Microsoft.Design#CA1053;-Microsoft.Design#CA1057;-Microsoft.Design#CA1058;-Microsoft.Design#CA1001;-Microsoft.Design#CA1049;-Microsoft.Design#CA1054;-Microsoft.Design#CA1056;-Microsoft.Design#CA1055;-Microsoft.Design#CA1030;-Microsoft.Design#CA1003;-Microsoft.Design#CA1007;-Microsoft.Design#CA1043;-Microsoft.Design#CA1024;-Microsoft.Design#CA1062;-Microsoft.Interoperability#CA1403;-Microsoft.Interoperability#CA1406;-Microsoft.Interoperability#CA1413;-Microsoft.Interoperability#CA1402;-Microsoft.Interoperability#CA1407;-Microsoft.Interoperability#CA1404;-Microsoft.Interoperability#CA1410;-Microsoft.Interoperability#CA1411;-Microsoft.Interoperability#CA1405;-Microsoft.Interoperability#CA1409;-Microsoft.Interoperability#CA1415;-Microsoft.Interoperability#CA1408;-Microsoft.Interoperability#CA1414;-Microsoft.Interoperability#CA1412;-Microsoft.Interoperability#CA1400;-Microsoft.Interoperability#CA1401;-Microsoft.Maintainability#CA1502;-Microsoft.Maintainability#CA1501;-Microsoft.Maintainability#CA1500;-Microsoft.Mobility#CA1600;-Microsoft.Mobility#CA1601;-Microsoft.Naming#CA1718;-Microsoft.Naming#CA1720;-Microsoft.Naming#CA1700;-Microsoft.Naming#CA1712;-Microsoft.Naming#CA1713;-Microsoft.Naming#CA1709;-Microsoft.Naming#CA1708;-Microsoft.Naming#CA1715;-Microsoft.Naming#CA1710;-Microsoft.Naming#CA1707;-Microsoft.Naming#CA1722;-Microsoft.Naming#CA1711;-Microsoft.Naming#CA1716;-Microsoft.Naming#CA1705;-Microsoft.Naming#CA1725;-Microsoft.Naming#CA1719;-Microsoft.Naming#CA1721;-Microsoft.Naming#CA1706;-Microsoft.Naming#CA1724;-Microsoft.Naming#CA1726;-Microsoft.Performance#CA1809;-Microsoft.Performance#CA1811;-Microsoft.Performance#CA1812;-Microsoft.Performance#CA1807;-Microsoft.Performance#CA1813;-Microsoft.Performance#CA1823;-Microsoft.Performance#CA1816;-Microsoft.Performance#CA1817;-Microsoft.Performance#CA1800;-Microsoft.Performance#CA1818;-Microsoft.Performance#CA1805;-Microsoft.Performance#CA1810;-Microsoft.Performance#CA1822;-Microsoft.Performance#CA1815;-Microsoft.Performance#CA1814;-Microsoft.Performance#CA1819;-Microsoft.Performance#CA1804;-Microsoft.Performance#CA1820;-Microsoft.Performance#CA1802;-Microsoft.Portability#CA1901;-Microsoft.Portability#CA1900;-Microsoft.Reliability#CA2000;-Microsoft.Reliability#CA2002;-Microsoft.Reliability#CA2003;-Microsoft.Reliability#CA2004;-Microsoft.Reliability#CA2006;-Microsoft.Security#CA2116;-Microsoft.Security#CA2117;-Microsoft.Security#CA2105;-Microsoft.Security#CA2115;-Microsoft.Security#CA2104;-Microsoft.Security#CA2122;-Microsoft.Security#CA2114;-Microsoft.Security#CA2123;-Microsoft.Security#CA2111;-Microsoft.Security#CA2108;-Microsoft.Security#CA2107;-Microsoft.Security#CA2103;-Microsoft.Security#CA2100;-Microsoft.Security#CA2118;-Microsoft.Security#CA2109;-Microsoft.Security#CA2119;-Microsoft.Security#CA2106;-Microsoft.Security#CA2112;-Microsoft.Security#CA2110;-Microsoft.Security#CA2120;-Microsoft.Security#CA2101;-Microsoft.Security#CA2121;-Microsoft.Security#CA2126;-Microsoft.Security#CA2124;-Microsoft.Usage#CA2209;-Microsoft.Usage#CA2236;-Microsoft.Usage#CA2227;-Microsoft.Usage#CA2213;-Microsoft.Usage#CA2216;-Microsoft.Usage#CA2215;-Microsoft.Usage#CA2214;-Microsoft.Usage#CA2222;-Microsoft.Usage#CA2202;-Microsoft.Usage#CA1806;-Microsoft.Usage#CA2217;-Microsoft.Usage#CA2212;-Microsoft.Usage#CA2219;-Microsoft.Usage#CA2201;-Microsoft.Usage#CA2228;-Microsoft.Usage#CA2221;-Microsoft.Usage#CA2220;-Microsoft.Usage#CA2240;-Microsoft.Usage#CA2229;-Microsoft.Usage#CA2238;-Microsoft.Usage#CA2207;-Microsoft.Usage#CA2208;-Microsoft.Usage#CA2235;-Microsoft.Usage#CA2237;-Microsoft.Usage#CA2232;-Microsoft.Usage#CA2223;-Microsoft.Usage#CA2211;-Microsoft.Usage#CA2233;-Microsoft.Usage#CA2225;-Microsoft.Usage#CA2226;-Microsoft.Usage#CA2231;-Microsoft.Usage#CA2224;-Microsoft.Usage#CA2218;-Microsoft.Usage#CA2234;-Microsoft.Usage#CA2241;-Microsoft.Usage#CA2239;-Microsoft.Usage#CA2200;-Microsoft.Usage#CA1801;-Microsoft.Usage#CA2205;-Microsoft.Usage#CA2230;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00005;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00004;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00003;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00009;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00007;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00011;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00010;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00006;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00008;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00001;-Microsoft.Practices.FxCop.Rules.WcfSecurity#WCFS00002</CodeAnalysisRules>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="EnvDTE80, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.Build.Engine" />
    <Reference Include="Microsoft.Data.ConnectionUI, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(DevEnvDir)Microsoft.Data.ConnectionUI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Data.ConnectionUI.Dialog, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(DevEnvDir)Microsoft.Data.ConnectionUI.Dialog.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Practices.Common, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.ComponentModel, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.Common, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.Library, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.VisualStudio, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.OLE.Interop, Version=7.1.40304.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.VisualStudio.Shell, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.Shell.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.Shell.Interop, Version=7.1.40304.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.OracleClient" />
    <Reference Include="System.DirectoryServices" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Drawing.Design" />
    <Reference Include="System.Security" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="VSLangProj, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="VsWebSite.Interop, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Actions\CodeDom\ClassGeneratorFromCompileUnitAction.cs" />
    <Compile Include="Actions\CodeDom\Helpers\LanguageType.cs" />
    <Compile Include="Actions\GAX\EnableGuidancePackageAction.cs" />
    <Compile Include="Actions\General\EvaluateExpressionAction.cs" />
    <Compile Include="Actions\General\GetTemplateFilePathAction.cs" />
    <Compile Include="Actions\OS\CreateDirectoryAction.cs" />
    <Compile Include="Actions\OS\CreateDirectoryOnProjectAction.cs" />
    <Compile Include="Actions\OS\ExecuteProcessAction.cs" />
    <Compile Include="Actions\OS\FileCopyAction.cs" />
    <Compile Include="Actions\OS\ReadCurrentUserEntryAction.cs" />
    <Compile Include="Actions\OS\ReadLocalMachineEntryAction.cs" />
    <Compile Include="Actions\OS\ReadRegistryEntryAction.cs" />
    <Compile Include="Actions\Templates\ExportSolutionTemplateAction.cs" />
    <Compile Include="Actions\Templates\UnfoldTemplateAction.cs" />
    <Compile Include="Actions\VisualStudio\AddAssembliesReferenceAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemFromFileToProjectItemAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemFromStringAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemFromStringToProjectItemAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemFromStringToProjectItemByNameAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemToProjectItemByNameAction.cs" />
    <Compile Include="Actions\VisualStudio\AddProjectGlobalsEntryAction.cs" />
    <Compile Include="Actions\VisualStudio\AddProjectReferenceAction.cs" />
    <Compile Include="Actions\VisualStudio\AddProjectItemFromFileAction.cs" />
    <Compile Include="Actions\VisualStudio\AddAssemblyReferenceAction.cs" />
    <Compile Include="Actions\VisualStudio\AddSolutionFolderAction.cs" />
    <Compile Include="Actions\VisualStudio\AddSolutionFolderItemFromFileAction.cs" />
    <Compile Include="Actions\VisualStudio\AddProjectItemsFromDirectoryAction.cs" />
    <Compile Include="Actions\VisualStudio\AddSolutionGlobalsEntryAction.cs" />
    <Compile Include="Actions\VisualStudio\AddSolutionItemFromFileAction.cs" />
    <Compile Include="Actions\VisualStudio\BaseGlobalsEntryAction.cs" />
    <Compile Include="Actions\VisualStudio\CompileProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\CompileSolutionAction.cs" />
    <Compile Include="Actions\VisualStudio\DebugProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\DebugWebProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\DeleteItemIfExistsFromProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\DeleteItemIfExistsFromProjectItemAction.cs" />
    <Compile Include="Actions\VisualStudio\DeleteProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\DeleteProjectItemsAction.cs" />
    <Compile Include="Actions\VisualStudio\DeleteSolutionItemIfExistsFromProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\ExecuteVSCommandAction.cs" />
    <Compile Include="Actions\VisualStudio\GetProjectByNameAction.cs" />
    <Compile Include="Actions\VisualStudio\GetSolutionGlobalsEntryAction.cs" />
    <Compile Include="Actions\VisualStudio\OpenDocumentationFileAction.cs" />
    <Compile Include="Actions\VisualStudio\OpenFileInBrowserAction.cs" />
    <Compile Include="Actions\VisualStudio\RunProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\RunWebProjectAction.cs" />
    <Compile Include="Actions\VisualStudio\StatusBarAction.cs" />
    <Compile Include="Actions\VisualStudio\UnfoldTemplateIfProjectNotExistsAction.cs" />
    <Compile Include="CommonHelpers\CodeDomHelper.cs" />
    <Compile Include="CommonHelpers\DteHelper2.cs" />
    <Compile Include="CommonHelpers\DteHelperEx.cs" />
    <Compile Include="CommonHelpers\ExceptionHelper.cs" />
    <Compile Include="CommonHelpers\ExpressionEvaluationHelper.cs" />
    <Compile Include="CommonHelpers\FileCodeModelHelper.cs" />
    <Compile Include="CommonHelpers\ResponsibilityHelper.cs" />
    <Compile Include="CommonHelpers\ResponsibleProjectFinder.cs" />
    <Compile Include="CommonHelpers\TypeHelper.cs" />
    <Compile Include="CommonHelpers\VsHelper.cs" />
    <Compile Include="CommonHelpers\X509CertificateHelper.cs" />
    <Compile Include="Common\Templates\Helpers\ReplaceableExtension.cs" />
    <Compile Include="Common\Templates\IVSTemplateExporter.cs" />
    <Compile Include="Common\Templates\LocationField.cs" />
    <Compile Include="Common\Templates\ProjectType.cs" />
    <Compile Include="Common\Templates\VSProjectTemplate.cs" />
    <Compile Include="Common\Templates\VSSolutionTemplate.cs" />
    <Compile Include="Common\Templates\VSSolutionTemplateExporter.cs" />
    <Compile Include="Common\Templates\Helpers\VSTemplateExporterHelper.cs" />
    <Compile Include="Common\Templates\VSProjectTemplateExporter.cs" />
    <Compile Include="Converters\AgregatorStringConverter.cs" />
    <Compile Include="Converters\Boolean2StringConverter.cs" />
    <Compile Include="Converters\ConnectionSettingsInfo.cs" />
    <Compile Include="Converters\ConnectionStringConverter.cs" />
    <Compile Include="Converters\ProjectWithResponsibilityConverter.cs" />
    <Compile Include="Converters\VsAddCodeFileStringOverwritableConverter.cs" />
    <Compile Include="Converters\VsAddValidFileStringConverter.cs" />
    <Compile Include="Converters\CSharpIdentifierConverter.cs" />
    <Compile Include="Converters\CSharpNamespaceConverter.cs" />
    <Compile Include="Converters\ValidLanguageIndependentIdentifierConverter.cs" />
    <Compile Include="Converters\VsAddCodeFileStringConverter.cs" />
    <Compile Include="Converters\OverwriteItemConverter.cs" />
    <Compile Include="Converters\PathConverter.cs" />
    <Compile Include="Converters\FileExistsConverter.cs" />
    <Compile Include="Converters\ProjectExistsConverter.cs" />
    <Compile Include="Converters\ProjectItemExistsConverter.cs" />
    <Compile Include="Converters\TypeFromStringConverter.cs" />
    <Compile Include="Converters\UriConverter.cs" />
    <Compile Include="Converters\ValidFileNameConverter.cs" />
    <Compile Include="Converters\XmlNamespaceStringConverter.cs" />
    <Compile Include="Coordinators\ConditionalCoordinator.cs" />
    <Compile Include="Coordinators\FailSafeCoordinator.cs" />
    <Compile Include="Dialogs\CredentialsDialog.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Dialogs\CredentialsDialogFlags.cs" />
    <Compile Include="Dialogs\DsObjectPickerComTypes.cs" />
    <Compile Include="Dialogs\DsObjectPickerDialog.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Dialogs\DsObjectPickerFlags.cs" />
    <Compile Include="Dialogs\DsObjectPickerItem.cs" />
    <Compile Include="Dialogs\SecureCredential.cs" />
    <Compile Include="Dialogs\UnsafeNativeMethods.cs" />
    <Compile Include="Dialogs\X509CertificatePicker.cs" />
    <Compile Include="Dialogs\X509CertificatePickerDialog.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Dialogs\X509CertificatePickerView.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialogs\X509CertificatePickerView.Designer.cs">
      <DependentUpon>X509CertificatePickerView.cs</DependentUpon>
    </Compile>
    <Compile Include="DteWrapper\DteProjectItemModel.cs" />
    <Compile Include="DteWrapper\DteProjectModel.cs" />
    <Compile Include="DteWrapper\DteSolutionModel.cs" />
    <Compile Include="DteWrapper\DteTypeModel.cs" />
    <Compile Include="DteWrapper\IProjectItemModel.cs" />
    <Compile Include="DteWrapper\IProjectModel.cs" />
    <Compile Include="DteWrapper\ISolutionModel.cs" />
    <Compile Include="DteWrapper\ITypeModel.cs" />
    <Compile Include="Editors\AddWebReferenceEditor.cs" />
    <Compile Include="Editors\ClassBrowser\ClassBrowserEditor.cs" />
    <Compile Include="Editors\ClassBrowser\ClassBrowserEditorForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Editors\ConfigurationFileChooser.cs" />
    <Compile Include="Editors\ConnectionStringEditor.cs" />
    <Compile Include="Editors\FileChooser.cs" />
    <Compile Include="Editors\FolderChooser.cs" />
    <Compile Include="Editors\WindowsUserNamePickerEditor.cs" />
    <Compile Include="Editors\X509CertificateEditor.cs" />
    <Compile Include="EventArgs.cs" />
    <Compile Include="Extenders\ISolutionExtender.cs" />
    <Compile Include="Extenders\ExtenderUtility.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="References\ProjectPropertyReference.cs" />
    <Compile Include="References\SolutionFolderPropertyTemplateReference.cs" />
    <Compile Include="References\VisualStudio\CodeElementReference.cs" />
    <Compile Include="References\VisualStudio\AnyProjectReference.cs" />
    <Compile Include="References\VisualStudio\CSharpLanguageReference .cs" />
    <Compile Include="References\VisualStudio\FolderReference.cs" />
    <Compile Include="References\VisualStudio\ProjectItemReference.cs" />
    <Compile Include="References\VisualStudio\ProjectReference.cs" />
    <Compile Include="References\VisualStudio\SolutionReference.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="References\VisualStudio\WebProjectItemReference.cs" />
    <Compile Include="Services\OutputWindowTraceListener.cs" />
    <Compile Include="Services\OutputWindowService.cs" />
    <Compile Include="TypeEditor\CLRType.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="TypeEditor\CLRTypeConverter.cs" />
    <Compile Include="TypeEditor\CLRTypeEditor.cs" />
    <Compile Include="TypeEditor\DefaultCLRTypeEditorConfig.cs" />
    <Compile Include="TypeEditor\ICLRTypeEditorConfig.cs" />
    <Compile Include="Validators\TypeNameValidator.cs" />
    <Compile Include="Validators\TypeNameValidatorAttribute.cs" />
    <Compile Include="ValueProviders\General\CreateInstanceProvider.cs" />
    <Compile Include="ValueProviders\General\IsNotNullProvider.cs" />
    <Compile Include="ValueProviders\OS\LocalMachineEntryProvider.cs" />
    <Compile Include="ValueProviders\OS\PathCreatorProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\CodeElementUnderCursorProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\CodeLanguageProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ContainingProjectProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\CurrentItemProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\CurrentProjectProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\FirstSelectedProjectProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ItemNameProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectByNameProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectByPathExpressionProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectByPathProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectGlobalsEntryProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectItemByFullNameProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\ProjectNameProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ValueProviders\VisualStudio\SelectedItemFileCodeModelProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\SelectedItemNameProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ValueProviders\VisualStudio\SelectedItemPathProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ValueProviders\VisualStudio\SelectedSolutionFolderProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\SolutionNameProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\SolutionPathProvider.cs" />
    <Compile Include="ValueProviders\VisualStudio\WebApplicationURLProvider.cs" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Dialogs\X509CertificatePickerView.resx">
      <DependentUpon>X509CertificatePickerView.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Editors\ClassBrowser\ClassBrowserEditorForm.en-US.resx">
      <SubType>Designer</SubType>
      <DependentUpon>ClassBrowserEditorForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Editors\ClassBrowser\ClassBrowserEditorForm.resx">
      <DependentUpon>ClassBrowserEditorForm.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <SubType>Designer</SubType>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="35MSSharedLib1024.snk" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>